File: changelog

package info (click to toggle)
liblxqt 0.14.1-4
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,072 kB
  • sloc: cpp: 4,091; ansic: 335; xml: 45; makefile: 19
file content (245 lines) | stat: -rw-r--r-- 7,757 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
liblxqt (0.14.1-4) unstable; urgency=medium

  * Added kfreebsd as non-linux to rules
  * New build dependency dh-exec
  * Don't install backlight things for hurd and kfreebsd
  * Prepared helper package

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 22:59:58 +0200

liblxqt (0.14.1-3) unstable; urgency=medium

  * Modified debian/rules for Hurd.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:43:27 +0200

liblxqt (0.14.1-2) unstable; urgency=medium

  * Applied upstream CMakeLists patches for non-linux.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:20:35 +0200

liblxqt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum version libqt5xdg-dev (>= 3.3.1~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.1~)
  * Added new symbol

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 18:01:40 +0100

liblxqt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Added Build-Depends-Package: liblxqt0-dev to d/liblxqt0-dev.symbols
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:37:40 +0100

liblxqt (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Bumped build dependencies liblqt5xdg* to >= 3.2.0~
  * Bumpde build dependency lxqt-build-tools to >= 0.5.0~
  * Fixed symbols for the new release
  * Added lintian overrides for the helper scripts and configurations
  * Removed multiarch=same - packages will not be co-installable anymore
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 18:49:19 +0200

liblxqt (0.12.0-7) unstable; urgency=medium

  * Really fix VCS-Git
  * Fixed watch file

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 23:02:11 +0200

liblxqt (0.12.0-6) unstable; urgency=medium

  * Fixed Hompage and Source to lxqt
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 18:02:45 +0200

liblxqt (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Dec 2017 20:16:30 +0100

liblxqt (0.12.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 03:17:57 +0100

liblxqt (0.12.0-3) experimental; urgency=medium

  * Fixed needed version to build-tools (>= 0.4.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 00:35:16 +0200

liblxqt (0.12.0-2) experimental; urgency=medium

  * Re-added explicit build dependencies, make the packaging more
    understandable:
    - libqt5xdg-dev (>= 3.1.0)
    - libqt5xdgiconloader-dev (>= 3.1.0)

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 17:28:18 +0200

liblxqt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped dependencies
  * Fixed symbols
  * Added override for dh_missing in rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 14:28:46 +0200

liblxqt (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0
  * Added dependencies desktop-file-utils and shared-mime-info
    (Closes: #866904)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 20:03:10 +0200

liblxqt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.1.
  * Bumped years in d/copyright
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
   * Added build dependency lxqt-build-tools (>= 0.3.1)
   * Added dependencies:
     - libqt5xdg-dev
     - libqt5xdgiconloader-dev
     - lxqt-build-tools
  * Fixed l-dev.install

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 03:40:10 +0100

liblxqt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.0.
  * Synced from experimental
  * Bumped build dependency debhelper (>=10)
  * Bump standards to 3.9.8
  * Bump years in copyright
  * Bumped compat to 10
  * Removed --parallel from rules, now standard
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libxss-dev
  * Added Recommends liblxqt-l10n
  * Removed grep patch, merged upstream
  * Removed virtual ABI, no longer needed
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed Format field in copyright
  * Fixed VCS fields, use plain /git/
  * Fix symbols, only use lxqt-abi-0-11-0
  * Added translation handling in rules
  * Deleted former patches
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 12 Jul 2016 21:17:33 +0200

liblxqt (0.10.0-5) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-fields
  * Added hardening=+all
  * patched LXQtTranslateDesktop.cmake - it's already fixed upstream
    but i don't want to catch up with upstream before the upcoming
    release
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 19:00:57 +0100

liblxqt (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 11:01:53 +0800

liblxqt (0.10.0-3) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update symbols and provide lxqt-abi-0-10.0.
  * Added minimum libqtxdg version.
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture.
  * Fixed copyright, only LGPL2.1+ is used.
  * Fixed watch file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 00:02:02 +0800

liblxqt (0.9.0+20150806-3) unstable; urgency=medium

  * Provide lxqt-abi-0-9-0
  * Fix VCS-Fields
  * Modify symbols, preparing the migration to 0.10.0
  * Removed breaks and replaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Nov 2015 18:48:51 +0100

liblxqt (0.9.0+20150806-2) unstable; urgency=medium

  * Apply extra-libdrm.diff patch from Pino Toscano <pino@debian.org> to
    fix ftbfs on hurd. (Closes:#795577)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 17 Aug 2015 17:27:18 +0800

liblxqt (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * source options added - don't provide .gitignore in package.
  * make the rules less verbos and drop the not needed QT5 switch.
  * drop remaining .tx directory.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/watch with PGP key.
  * Ignore anything except debian directory.

  [ Alf Gaida ]
  * changed team an vcs fields build dependency libqtxdg fixed.
  * some changes in debian $foo.
  * drop metapackages.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Sorting build-depends.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Aug 2015 21:36:40 +0800

liblxqt (0.9.0-1) experimental; urgency=low

  * Initial release (Closes: #747620)

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Feb 2015 15:59:22 +0100